Page MenuHomePhabricator

remove fundraising banner log related cruft from production puppet
Closed, ResolvedPublic

Description

As soon as we finish cutting fundraising banner log collection over from the old-style udp2log pipeline to the new-style kafkatee collector, some bits of production puppet become unnecessary. These include:

manifests/misc/fundraising.pp
files/misc/scripts/rotate_fundraising_logs
templates/kafkatee/logrotate_fundraising.erb

Also manifests/role/logging.pp has class role::logging::udp2log::erbium which has some fundraising-specific stuff, which can probably be removed.

Event Timeline

Jgreen created this task.Nov 10 2015, 9:18 PM
Jgreen raised the priority of this task from to Needs Triage.
Jgreen updated the task description. (Show Details)
Jgreen added a subscriber: Jgreen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 10 2015, 9:18 PM
Jgreen added a subtask: Restricted Task.Nov 10 2015, 9:19 PM

Change 252961 had a related patch set uploaded (by Faidon Liambotis):
Remove role::logging::udp2log::erbium and friends

https://gerrit.wikimedia.org/r/252961

Jgreen closed subtask Restricted Task as Resolved.Nov 13 2015, 6:34 PM
ArielGlenn triaged this task as Low priority.Nov 23 2015, 1:41 PM
ArielGlenn set Security to None.

Change 252961 merged by Ottomata:
Remove role::logging::udp2log::erbium and friends

https://gerrit.wikimedia.org/r/252961

Change 254860 had a related patch set uploaded (by Ottomata):
Remove more erbium related udp2log stuff

https://gerrit.wikimedia.org/r/254860

Change 254860 merged by Ottomata:
Remove more erbium related udp2log stuff

https://gerrit.wikimedia.org/r/254860

Change 254864 had a related patch set uploaded (by Ottomata):
Remove gadolinium related udp2log and varnishncsa stuff

https://gerrit.wikimedia.org/r/254864

Change 254864 merged by Ottomata:
Remove gadolinium related udp2log and varnishncsa stuff

https://gerrit.wikimedia.org/r/254864

@Jgreen, I think all the blockers are done, should we move with the cleanup ?

@Jgreen, I think all the blockers are done, should we move with the cleanup ?

Yes. The only remaining things I see remaining are files/misc/scripts/rotate_fundraising_logs and templates/kafkatee/logrotate_fundraising.erb both of which can go.

Jgreen closed this task as Resolved.Nov 29 2016, 8:21 PM
Jgreen claimed this task.
Dwisehaupt moved this task from Triage to Done on the fundraising-tech-ops board.Feb 13 2020, 9:54 PM